{% extends "statistic/current.html" %}

{% block statistics_selection %}
    <div class="statistics-selection-div">
        {% snippet 'statistic/snippets/date_selection.html', years=years, model_index=model_index, date_begin=date_begin, date_end=date_end, models=models %}
    </div>
{% endblock %}

{% block chartjs_graphs %}
            {% resource "edp_theme/chartjs/charts.js" %}
            {% resource "chart_js/Chart.js" %}

            {% block statistics_bar_chart %}
                {% if 'bar' in charts and data_1.start_date != data_1.end_date %}
                    {% snippet 'statistic/snippets/bar_chart.html', dataset_model=dataset_model, data=data_1 %}
                {% endif %}
            {% endblock %}

            {% block statistics_pie_chart %}
                {% if 'pie' in charts %}
                    {% snippet 'statistic/snippets/pie_chart.html', dataset_model=dataset_model, data=data_pie %}
                {% endif %}
            {% endblock %}

            {% block statistics_line_chart %}
                {% if 'line' in charts and data_1_line.start_date != data_1_line.end_date %}
                    {% snippet 'statistic/snippets/line_chart.html', dataset_model=dataset_model, data=data_1_line %}
                {% endif %}
            {% endblock %}

            {% block statistics_multiple_line_chart %}
                {% if 'multiline' in charts and data_multiple_line.start_date != data_multiple_line.end_date %}
                    {% snippet 'statistic/snippets/multiple_line_chart.html', dataset_model=dataset_model, data=data_multiple_line %}
                {% endif %}
            {% endblock %}

            {% if data_1.start_date != data_1.end_date %}
                <body onload="bar_chart({{ h.to_json(data_1) }}, 'bar_chart', {% if 'bar' in charts %} true {% else %} false {% endif %});
                        pie_chart({{ h.to_json(data_pie) }}, 'pie_chart', {% if 'pie' in charts %} true {% else %} false {% endif %});
                        line_chart({{ h.to_json(data_1_line) }}, 'line_chart', {% if 'line' in charts %} true {% else %} false {% endif %});
                        multiple_line_chart({{ h.to_json(data_multiple_line) }}, 'multiple_line_chart', {% if 'multiline' in charts %} true {% else %} false {% endif %});"></body>
            {% else %}
                <body onload="pie_chart({{ h.to_json(data_pie) }}, 'pie_chart', {% if 'pie' in charts %} true {% else %} false {% endif %});"></body>
            {% endif %}

            {% if data_1.start_date == data_1.end_date and data_1_line.start_date == data_1_line.end_date
                    and data_multiple_line.start_date == data_multiple_line.end_date and show_pie_chart != 1%}
                <p class="no-chart-available">No chart available for this dataset model and timerange</p>
            {% endif %}
        {% endblock %}




